<bugID>1054792<Summary>Intermittent browser_940307_panel_click_closure_handling.js | Uncaught exception - Panel did not show within 20 seconds. | Popup stays open - Got closed, expected open | Uncaught exception - Panel did not hide within 20 seconds.</Summary><Description>https://tbpl.mozilla.org/php/getParsedLog.php?id=46132178&amp;tree=Mozilla-Inbound

Ubuntu VM 12.04 x64 mozilla-inbound debug test mochitest-browser-chrome-1 on 2014-08-17 12:41:51 PDT for push 356e4cb982fa
slave: tst-linux64-spot-439

13:07:40     INFO -  23475 INFO Entering test
13:07:40     INFO -  23476 INFO Console message: [JavaScript Error: "chrome://browser/content/browser.xul : Unable to run script because scripts are blocked internally."]
13:07:40     INFO -  23477 INFO Console message: [JavaScript Warning: "Unknown pseudo-class or pseudo-element '-webkit-search-cancel-button'.  Ruleset ignored due to bad selector." {file: "chrome://browser/content/aboutaccounts/normalize.css" line: 366 column: 22 source: "input[type="search"]::-webkit-search-cancel-button,"}]
13:07:40     INFO -  23478 INFO Console message: [JavaScript Warning: "Error in parsing value for 'min-height'.  Declaration dropped." {file: "chrome://browser/content/aboutaccounts/main.css" line: 125 column: 16 source: "    min-height: none;"}]
13:07:40     INFO -  23479 INFO Console message: [JavaScript Warning: "Expected media feature name but found 'min-device-pixel-ratio'." {file: "chrome://browser/content/aboutaccounts/main.css" line: 144 column: 17 source: "only screen and (min-device-pixel-ratio: 2),"}]
13:07:40     INFO -  23480 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_940307_panel_click_closure_handling.js | Uncaught exception - Panel did not show within 20 seconds.
13:07:40     INFO -  TEST-INFO | expected PASS
13:07:40     INFO -  23481 INFO [Parent 1777] WARNING: NS_ENSURE_TRUE(aSelection-&gt;GetRangeCount()) failed: file /builds/slave/m-in-l64-d-0000000000000000000/build/editor/libeditor/nsEditor.cpp, line 3833
13:07:40     INFO -  23482 INFO [Parent 1777] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /builds/slave/m-in-l64-d-0000000000000000000/build/editor/libeditor/nsEditor.cpp, line 3812
13:07:40     INFO -  23483 INFO [Parent 1777] WARNING: NS_ENSURE_SUCCESS(res, res) failed with result 0x80004005: file /builds/slave/m-in-l64-d-0000000000000000000/build/editor/libeditor/text/nsTextEditRules.cpp, line 441
13:07:41     INFO -  23484 INFO dumping last 8 message(s)
13:07:41     INFO -  23485 INFO if you need more context, please use SimpleTest.requestCompleteLog() in your test
13:07:41     INFO -  23486 INFO Leaving test
13:07:41     INFO -  23487 INFO Entering test
13:07:41     INFO -  23488 INFO TEST-PASS | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_940307_panel_click_closure_handling.js | Should be in panel
13:07:41     INFO -  23489 INFO TEST-PASS | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_940307_panel_click_closure_handling.js | Panel should still be open
13:07:41     INFO -  23490 INFO TEST-PASS | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_940307_panel_click_closure_handling.js | Panel should still be open
13:07:41     INFO -  23491 INFO TEST-PASS | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_940307_panel_click_closure_handling.js | Panel should no longer be open
13:07:41     INFO -  23492 INFO Leaving test
13:07:41     INFO -  23493 INFO Entering test
13:07:41     INFO -  23494 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_940307_panel_click_closure_handling.js | Popup stays open - Got closed, expected open
13:07:41     INFO -  Stack trace:
13:07:41     INFO -      chrome://mochikit/content/browser-test.js:test_is:775
13:07:41     INFO -      chrome://mochitests/content/browser/browser/components/customizableui/test/browser_940307_panel_click_closure_handling.js:null:102
13:07:41     INFO -      Handler.prototype.process@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:866:23
13:07:41     INFO -      this.PromiseWalker.walkerLoop@resource://gre/modules/Promise.jsm -&gt; resource://gre/modules/Promise-backend.js:745:7
13:07:41     INFO -  TEST-INFO | expected PASS
13:07:43     INFO -  23495 INFO --DOMWINDOW == 32 (0x7f8e29f47000) [pid = 1777] [serial = 3814] [outer = (nil)] [url = about:blank]
13:07:43     INFO -  23496 INFO --DOMWINDOW == 31 (0x7f8e1fb3c400) [pid = 1777] [serial = 4064] [outer = (nil)] [url = about:blank]
13:07:46     INFO -  23497 INFO --DOMWINDOW == 30 (0x7f8e2010e000) [pid = 1777] [serial = 4030] [outer = (nil)] [url = chrome://browser/content/browser.xul]
13:07:51     INFO -  23498 INFO --DOMWINDOW == 29 (0x7f8e204cd800) [pid = 1777] [serial = 4031] [outer = (nil)] [url = about:blank]
13:08:01     INFO -  23499 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_940307_panel_click_closure_handling.js | Uncaught exception - Panel did not hide within 20 seconds.
13:08:01     INFO -  TEST-INFO | expected PASS
13:08:01     INFO -  23500 INFO TEST-OK | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_940307_panel_click_closure_handling.js | took 41759ms</Description></bugID>